<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
ReadableBigIntegerRationalMatrix
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ReadableBigIntegerRationalMatrix";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ReadableBigIntegerRationalMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReadableBigIntegerRationalMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.iface</FONT>
<BR>
Interface ReadableBigIntegerRationalMatrix&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;N&gt;</DD>
</DL>
<DL>
<DT><B>All Known Subinterfaces:</B> <DD><A HREF="../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface">IntMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/IntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">IntRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/LongMatrix.html" title="interface in ch.javasoft.smx.iface">LongMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">LongRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongMatrix</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix</A>&lt;N&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultIntRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntRationalMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultLongMatrix.html" title="class in ch.javasoft.smx.impl">DefaultLongMatrix</A>, <A HREF="../../../../ch/javasoft/metabolic/efm/column/VarIntMatrix.html" title="class in ch.javasoft.metabolic.efm.column">VarIntMatrix</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#line.40"><B>ReadableBigIntegerRationalMatrix&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;N&gt;</DL>
</PRE>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#getBigFractionValueAt(int, int)">getBigFractionValueAt</A></B>(int&nbsp;row,
                                           int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#getBigIntegerDenominatorAt(int, int)">getBigIntegerDenominatorAt</A></B>(int&nbsp;row,
                                                     int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#getBigIntegerNumeratorAt(int, int)">getBigIntegerNumeratorAt</A></B>(int&nbsp;row,
                                                 int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#subBigIntegerRationalMatrix(int, int, int, int)">subBigIntegerRationalMatrix</A></B>(int&nbsp;rowStart,
                                                       int&nbsp;rowEnd,
                                                       int&nbsp;colStart,
                                                       int&nbsp;colEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#toBigIntegerRationalMatrix(boolean)">toBigIntegerRationalMatrix</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.ReadableDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleColumn(int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleColumns()">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleRow(int)">getDoubleRow</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleRows()">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleValueAt(int, int)">getDoubleValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#subDoubleMatrix(int, int, int, int)">subDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toArray(double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toDoubleArray()">toDoubleArray</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#toDoubleMatrix(boolean)">toDoubleMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.ReadableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#clone()">clone</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getNumberRows()">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getNumberValueAt(int, int)">getNumberValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#getSignumAt(int, int)">getSignumAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#newInstance(int, int)">newInstance</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#newInstance(N[][], boolean)">newInstance</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#toWritableMatrix(boolean)">toWritableMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#transpose()">transpose</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="toBigIntegerRationalMatrix(boolean)"><!-- --></A><H3>
toBigIntegerRationalMatrix</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#line.41"><B>toBigIntegerRationalMatrix</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subBigIntegerRationalMatrix(int, int, int, int)"><!-- --></A><H3>
subBigIntegerRationalMatrix</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A> <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#line.42"><B>subBigIntegerRationalMatrix</B></A>(int&nbsp;rowStart,
                                                     int&nbsp;rowEnd,
                                                     int&nbsp;colStart,
                                                     int&nbsp;colEnd)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBigFractionValueAt(int, int)"><!-- --></A><H3>
getBigFractionValueAt</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#line.43"><B>getBigFractionValueAt</B></A>(int&nbsp;row,
                                  int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBigIntegerNumeratorAt(int, int)"><!-- --></A><H3>
getBigIntegerNumeratorAt</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#line.44"><B>getBigIntegerNumeratorAt</B></A>(int&nbsp;row,
                                    int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBigIntegerDenominatorAt(int, int)"><!-- --></A><H3>
getBigIntegerDenominatorAt</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html#line.45"><B>getBigIntegerDenominatorAt</B></A>(int&nbsp;row,
                                      int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ReadableBigIntegerRationalMatrix.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReadableBigIntegerRationalMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
